﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.IO.Ports;

namespace ExemploCSharp
{
    class Serial
    {
        SerialPort port;
        public void connect()
        {
            port = new SerialPort("COM3", 115200, Parity.None, 8, StopBits.One);
            port.Open();
        }

        public void write(List<byte> bytes)
        {
            if (port.IsOpen)
            port.Write(bytes.ToArray<byte>(), 0, bytes.Count);
        }

        public void write(string s)
        {
            if (port.IsOpen)
                port.Write(s);
        }

        public void cleanRecv()
        {
            if (port.IsOpen == false)
                return;
            port.ReadExisting();
        }

        public byte readByte()
        {
            for (int i = 0; port.BytesToRead == 0 && i < 10; ++i)
                System.Threading.Thread.Sleep(200);
            int b = port.ReadByte();
            Console.WriteLine("LIDO: " + b.ToString() + " - " + b.ToString("%x"));
            return (byte)b;
        }

    }
}
